###
###
###

.seqnames <- c("chr1", "chr2", "chr3", "chr4", "chr5", "mitochondria", "chloroplast")

.mseqnames <- NULL

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Arabidopsis thaliana",
        species="Arabidopsis",
        provider="TAIR",
        provider_version="01222004",
        release_date="NA",
        release_name="NA",
        source_url="ftp://ftp.arabidopsis.org/home/tair/Sequences/whole_chromosomes/",
        seqnames=.seqnames,
        mseqnames=.mseqnames,
        seqs_pkg=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkg=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Athaliana"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

